/{organizationId}/{mandateId}/crm/mailings/{mailingId}/recipients/listList mailing recipients
Gets a list of mailing recipients
Required permissions:
mailing.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired mailingIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
searchTermstringoptional userAssignedbooleanoptional A stringified json object representing a property filter
viewstringrequired Options:
filteredRecipientsreceivingtagsMatchmailingDisabledunbsubscribedmissingAddressduplicatedAddressAuthentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/mailings/{mailingId}/recipients/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"view": "filteredRecipients"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"mailingRecipients": [
{
"mandates": [
"000000000000000000000001"
],
"types": [
"member"
],
"organization": "000000000000000000000001",
"organizationData": {
"name": "string",
"avatar": {
"resource": "string"
}
},
"alternativeCommunicationsUnwind": {
"email": "",
"phone": "",
"mobilePhone": "",
"mailing": true,
"mailingTags": "string",
"mailingUnsubscriptions": [
{
"email": "string",
"unsubscribedAt": "2026-06-15T22:30:00Z",
"tags": [
"string"
],
"all": true
}
],
"id": "string",
"contact": "000000000000000000000001",
"contactTypes": [
"member"
],
"name": "string",
"description": "string"
},
"contactId": "000000000000000000000001",
"uniqueKey": "string"
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}